Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225100 - initng, initng-ifiles: optflags not used
Summary: initng, initng-ifiles: optflags not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initng
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Malmgren
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:56 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 10:06:04 UTC


Attachments (Terms of Use)
Honor optflags (deleted)
2007-01-28 22:56 UTC, Ville Skyttä
no flags Details | Diff
Use $RPM_OPT_FLAGS - patch for initng (deleted)
2007-02-04 18:41 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 22:56:44 UTC
initng-ifiles does not honor $RPM_OPT_FLAGS, resulting in no-no such as no stack
protection and semi-useless debuginfo.  Fix attached.

http://fedoraproject.org/wiki/Packaging/Debuginfo

Comment 1 Ville Skyttä 2007-01-28 22:56:45 UTC
Created attachment 146792 [details]
Honor optflags

Comment 2 Daniel Malmgren 2007-01-29 09:01:39 UTC
Hmmm... I guess this means that the same goes for initng, right? I wonder why
nobody noticed that in package review. I'll look into it.


Comment 3 Ville Skyttä 2007-01-29 15:20:29 UTC
Yep, looks like initng is affected as well - its -debuginfo contains only
*.debug files, no sources, which is a sign of -g not being used during
compilation (and thus usually neither the rest of $RPM_OPT_FLAGS).

Comment 4 Ville Skyttä 2007-02-04 18:41:17 UTC
Created attachment 147316 [details]
Use $RPM_OPT_FLAGS - patch for initng

I see a new initng was committed without the CFLAGS being fixed... here's the
fix.

Comment 5 Daniel Malmgren 2007-02-04 18:57:18 UTC
Sorry. Forgot. Committed new version with your fix.

Comment 6 Daniel Malmgren 2007-02-05 10:06:04 UTC
I've now built new versions of both initng and initng-ifiles, using
$RPM_OPT_FLAGS. Closing.


Note You need to log in before you can comment on or make changes to this bug.